> ## Name

> cgGetFloatStateAssignmentValues - get a float-valued state assignment's values

> ## Synopsis

>     #include <Cg/cg.h>

>     const float * cgGetFloatStateAssignmentValues( CGstateassignment sa,
>                                                    int * nvalues );

> ## Parameters

> sa
>   The state assignment from which the values will be retrieved.
> nvalues
>   Pointer to integer where the number of returned values will be stored.

> ## Return Values

> Returns a pointer to an array of float values. The number of values in the array is returned via the nvalues parameter.

> Returns NULL if an error occurs or if no values are available. nvalues will be 0 in the latter case.

> ## Description

> cgGetFloatStateAssignmentValues allows the application to retrieve the value(s) of a floating-point typed state assignment.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

> CG_INVALID_PARAMETER_ERROR is generated if nvalues is NULL.

> CG_STATE_ASSIGNMENT_TYPE_MISMATCH_ERROR is generated if sa is not a state assignment of a float type.

> ## History

> cgGetFloatStateAssignmentValues was introduced in Cg 1.4.

> ## See Also

> cgGetStateAssignmentState, cgGetStateType, cgGetIntStateAssignmentValues, cgGetBoolStateAssignmentValues, cgGetStringStateAssignmentValue, cgGetProgramStateAssignmentValue, cgGetSamplerStateAssignmentValue, cgGetTextureStateAssignmentValue